[Résolu] Gnome 2.14 en stable


#1

Bonjour,
existe-t-il un moyen d’installer Gnome 2.14 ou 2.12 sur une Debian sarge “stable”?? Je n’ai pas envie de passer en testing (la derniere fois que je l’ai fais, j’ai du réinstaller, j’ai du faire quelque chose qu’il ne fallait pas, puis je n’ai pas le besoin d’avoir d’autre packages plus récents, à part celui-là)

Merci d’avance
alexx860


#2

Oui c’est tout a fait faisable. Tu peux adapter ce tutos forum.debian-fr.org/viewtopic.php?t=1728
a ton install suffit juste de faire quelques remplacement.

Si tu veux plus d’info n’hésite pas à poser tes questions.


#3

Merci pour ta réponse rapide!
Voici mon /etc/apt/preferences :

[code]Package: *
Pin: release a=apt-build
Pin-Priority: 990

Package: *
Pin: release a=stable
Pin-Priority: 550

Package: *
Pin: release a=testing
Pin-Priority: 66

Package: *
Pin: release a=unstable
Pin-Priority: 33

Package: *
Pin: release a=experimental
Pin-Priority: 15

Package: gnome-*
Pin: release a=testing
Pin-Priority: 550[/code]

et mon source.list :

[code]# Stable
deb http://security.debian.org stable/updates main contrib non-free

deb-src http://security.debian.org/ stable/updates main contrib non-free
deb http://ftp.fr.debian.org/debian stable main contrib non-free
deb-src http://ftp.fr.debian.org/debian stable main contrib non-free

Testing

deb http://security.debian.org etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free
deb http://ftp.fr.debian.org/debian etch main contrib non-free
deb-src http://ftp.fr.debian.org/debian etch main contrib non-free

Unstable

deb http://ftp.fr.debian.org/debian unstable main contrib non-free
deb-src http://ftp.fr.debian.org/debian unstable main contrib non-free [/code]

Mais ça ne marche pas, quand je fais “apt-get install gnome”, les packages “gnome-” sont tonjours les anciennes versions. Y’a-t-il une manip’ spéciale a faire après? J’ai fais une boulette??

Merci d’avance
alexx860


#4

Bonsoir,
tu peux forcer apt-get à prendre en testing je pense :

Si des dépendances doivent être satisfaites en puisant encore dans testing, tu peux autoriser apt à les satisfaire en ajoutant le paramètre -t testing
mais je sais pas si on met le param apres get ou install lol, par encor fait.
A voir.


#5

Ah merci ça marche avec cette commande :

j’ai dû mettre aussi gnome-offices/testing et d’autre dans la ligne pour que ça marche, sinon il disait que ce que je demandais était “impossible” ou quelque chose dans le genre. Sinon petit détail : d’après le nom des packages téléchargés, ceux sont bien la version 2.12 alors qu’au démarrage et dans “A propos de GNOME” il marque 2.14… Mais ce n’est pas la 2.14!

Merci encore :wink: